Trong AutoCAD, lệnh Polyline, lệnh tắt là PL, là một trong những lệnh hay sử dụng nhất, có thể nói là chỉ đứng sau lệnh Line. Để đơn giản có thể hiểu Polyline là bao hàm nhiều Line (hoặc hoàn toàn có thể là cung tròn) được liên kết lại và gồm thêm tin tức chiều dày đường nét vẽ. Bởi vì vậy, nếu biết cách vẽ Polyline bao gồm chiều dày nhanh, đã tiết kiệm không hề ít thời gian công sức. Mặc dù nhiên, trong AutoCAD để gán chiều dày cho lệnh này thì phải thao tác làm việc khá rườm rà. Đầu tiên, chúng ta gõ lệnh PL, tiếp nối chuột trái chọn một điểm bắt đầu, sau đó gõ chữ W để mở chắt lọc chiều dày, sau cùng gõ 2 lần thông tin chiều dày (giả sử là 100mm) thì mới có thể vẽ được Polyline bao gồm chiều dày nét là 100mm. Sau cuối sau lúc vẽ xong họ bấm C nhằm khép kín đáo vùng giả dụ là vẽ vùng bí mật hoặc Enter để xong lệnh.

Bạn đang xem: Vẽ pline trong cad bằng tọa độ

*

Vẽ Polyline vùng kín đáo với chiều dày nét là 100mm.

Xem thêm: 75 Mẫu Hình Xăm Hình Hoa Hồng Ở Tay Nữ Nam Đẹp ❤️ Cute Nhất, Hình Xăm Bông Hồng Ở Cổ Tay

Lưu ý giả dụ vẽ vùng kính nên lựa chọn C ở đoạn cuối cùng để khép bí mật thay vì đề nghị bắt điểm nhé, sẽ nhanh hơn đấy (Nói thiệt khá nhiều người không biết đóng góp kín bằng phương pháp gõ C đâu nha).

Giải quyết vấn đề: 

Để vẽ nhanh Polyline (dạng tập hợp những đường thẳng) bao gồm chiều dày nét vẽ, bọn họ sẽ sinh sản một lisp đơn giản và dễ dàng sau đó load vào CAD, thực chất của lisp này đó là lệnh Polyline vẫn được thiết đặt chiều dày nét vẽ.

+ Lệnh tắt P0: Vẽ Polyline không tồn tại chiều dày:

(defun c:P0 () (command “PLINE” “” “w” “0” “0” “” “PLINE”) )

+ Lệnh tắt P50: Vẽ Polyline gồm chiều dày nét vẽ là 50mm:

(defun c:P50 () (command “PLINE” “” “w” “50” “50” “” “PLINE”) )

+ Lệnh tắt P100: Vẽ Polyline gồm chiều dày đường nét vẽ là 100mm:

(defun c:P100 () (command “PLINE” “” “w” “100” “100” “” “PLINE”) )

+ Lệnh tắt PLL: Vẽ Polyline có chiều dày bất kỳ (chỉ nên gõ lệnh PLL tiếp nối chọn chiều dày luôn mà không cần thiết phải chọn W nữa):

(defun c:PLL ()(setq a (getint “nChon bởi vì day net: “))(command “PLINE” “” “w” a a “” “PLINE”))